Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs11
Class PK11PrivKey

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs11.PK11Key
            |
            +--org.mozilla.jss.pkcs11.PK11PrivKey

All Implemented Interfaces:
  java.security.Key, java.security.PrivateKey, PrivateKey, java.io.Serializable

final class PK11PrivKey
extends PK11Key
implements PrivateKey

See Also:
  Serialized Form

Inner classes inherited from class org.mozilla.jss.crypto.PrivateKey
`PrivateKey.Type`

Fields inherited from class org.mozilla.jss.pkcs11.PK11Key
`keyProxy`

Fields inherited from interface org.mozilla.jss.crypto.PrivateKey
`DSA, RSA`

Fields inherited from interface java.security.PrivateKey
`serialVersionUID`

Constructor Summary
`protected` | `PK11PrivKey(byte[] pointer)`

Method Summary
`KeyType` | `getKeyType()`
`CryptoToken` | `getOwningToken()` Returns a new CryptoToken where this key resides.
`int` | `getStrength()` Returns the size in bits of the modulus of an RSA Private key.
`PrivateKey.Type` | `getType()` Returns the type (RSA or DSA) of this private key.
`byte[]` | `getUniqueID()` Returns the unique ID of this key.
`void` | `verifyKeyIsOnToken(PK11Token token)` Make sure this key lives on the given token.

Methods inherited from class org.mozilla.jss.pkcs11.PK11Key
`getAlgorithm, getEncoded, getFormat, readObject, writeObject`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Methods inherited from interface java.security.Key
`getAlgorithm, getEncoded, getFormat`

Constructor Detail

### PK11PrivKey

    protected PK11PrivKey(byte[] pointer)

Method Detail

### verifyKeyIsOnToken

    public void verifyKeyIsOnToken(PK11Token token)
                            throws NoSuchItemOnTokenException

  Make sure this key lives on the given token.

### getOwningToken

    public CryptoToken getOwningToken()

  Returns a new CryptoToken where this key resides.
  Specified by:
    `getOwningToken` in interface `PrivateKey`
  Returns:
    The PK11Token that owns this key.

### getUniqueID

    public byte[] getUniqueID()
                       throws TokenException

  Description copied from interface: `PrivateKey`
  Returns the unique ID of this key. Unique IDs can be used to match certificates to keys.
  Specified by:
    `getUniqueID` in interface `PrivateKey`
  Following copied from interface: `org.mozilla.jss.crypto.PrivateKey`
  See Also:
    `TokenCertificate.getUniqueID()`

### getKeyType

    public KeyType getKeyType()

### getType

    public PrivateKey.Type getType()

  Description copied from interface: `PrivateKey`
  Returns the type (RSA or DSA) of this private key.
  Specified by:
    `getType` in interface `PrivateKey`

### getStrength

    public int getStrength()

  Returns the size in bits of the modulus of an RSA Private key. Returns -1 for other types of keys.
  Specified by:
    `getStrength` in interface `PrivateKey`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD